Report
v1.0.0
Get inspection interactive report details
Request
Query Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| userId | string | path | Yes | QIMA client user login ID. |
| productId | string | path | Yes | Inspection product id, please refer to product id returned in /user/{userId}/reports |
| orderId | string | query | Yes | Inspection order id, please refer to order id returned in /user/{userId}/reports |
| companyRole | string | query | No | Set to `broker` to retrieve the report visible to the broker role. |
Responses
200
Interactive report details returned successfully.
Content-Type: application/json
message
string| Field | Type | Description |
|---|---|---|
| message | string |
content
object| Field | Type | Description |
|---|---|---|
| reportId | string | Report Id |
| reportNumber | string | Report Number |
| orderId | string | Order id |
| orderNumber | string | Client-facing QIMA order number. May be `null`. |
| reportMetadata | object | A `generalInfo[]` array of label/value triples, similar to `inspectionDetails`/`productDetails` but without the extra fields. |
| reportMetadata.generalInfo | array | |
| reportMetadata.generalInfo[].label | string | Label of general info |
| reportMetadata.generalInfo[].type | string | Type of general info |
| reportMetadata.generalInfo[].value | string | Value of general info |
| showSummary | boolean | Whether the AI-generated summary should be shown. |
| aiSummaryStatus | string | Status of the AI-generated summary, if applicable. `null` when not available. |
| userId | string | QIMA client user login ID. May be `null`. |
| disableSummaryReportButton | boolean | Whether the summary report button should be disabled in the UI. |
| performedInQimaone | string | "0" or "1" (string, not boolean) indicating whether the inspection was performed in QIMAone. |
| interactiveReportVersion | string | Schema version of the interactive report data, for example "v1". |
| downloadUrlOfPhotos | string | Download url of photos |
| downloadUrlOfReport | string | Download url of report |
| overallResult | object | |
| overallResult.isMissed | boolean | If is missed of overall result |
| overallResult.overallResult | string | Overall result |
| assessmentResults | array | List of assessment results of interactive reports |
| assessmentResults[].color | string | Color of assessment result |
| assessmentResults[].label | string | Label of assessment result |
| assessmentResults[].result | string | Assessment result |
| assessmentResults[].secondaryLabel | string | Second label of assessment result |
| assessmentResults[].status | string | Status of assessment result |
| clientRating | integer | Client rating of report |
| clientRatingFeedback | string | Client rating feedback of report |
| reportDecision | object | |
| reportDecision.decidedBy | string | Decision by |
| reportDecision.decision | string | Decision |
| reportDecision.decisionComments | string | Decision comments |
| reportDecision.decisionReasons | string | Decision reasons |
| reportDecision.decisionTime | string | Decision time |
| reportDecision.productReference | array | List of product reference |
| reportDecision.productReference[].decision | string | Decision |
| reportDecision.productReference[].productId | string | Product id |
| reportDecision.productReference[].referenceId | string | Reference id |
| reportDecision.productReference[].referencePoNumber | string | Reference po number |
| reportDecision.productReference[].referenceQuantity | integer | Reference quantity |
| reportDecision.productReference[].referenceSkuNumber | string | Reference sku number |
| reportDecision.productReference[].decidedBy | string | Decided by |
| reportDecision.productReference[].decisionComments | string | Decision comments |
| reportDecision.productReference[].decisionReasons | string | Decision reasons |
| reportDecision.productReference[].decisionTime | string | Decision time |
| overview | object | |
| overview.overviewDetail | object | |
| overview.overviewDetail.generalInfo | array | General info |
| overview.overviewDetail.mainPicture | string | Download url of report |
| photos | array | Photos of result |
| photos[].categories | array | Categories of photo |
| photos[].categories[].title | string | |
| photos[].categories[].photos | array | |
| photos[].categories[].photos[].caption | string | |
| photos[].categories[].photos[].thumbnailUrl | string | |
| photos[].categories[].photos[].url | string | |
| photos[].label | string | Label of photo |
| keyIndicator | object | |
| keyIndicator.isVisible | boolean | If is visible of key indicator |
| keyIndicator.inspectionResultSummary | object | |
| keyIndicator.inspectionResultSummary.checkedCritical | string | Checked critical |
| keyIndicator.inspectionResultSummary.checkedMajor | string | Checked major |
| keyIndicator.inspectionResultSummary.checkedMinor | string | Checked minor |
| keyIndicator.inspectionResultSummary.foundCritical | string | Found critical |
| keyIndicator.inspectionResultSummary.foundMajor | string | Found major |
| keyIndicator.inspectionResultSummary.foundMinor | string | Found minor |
| keyIndicator.inspectionResultSummary.maxCritical | string | Max critical |
| keyIndicator.inspectionResultSummary.maxMajor | string | Max major |
| keyIndicator.inspectionResultSummary.maxMinor | string | Max minor |
| keyIndicator.inspectionResultSummary.measurementAqlResult | string | Measurement aql result |
| keyIndicator.inspectionResultSummary.measurementChecked | string | Measurement checked |
| keyIndicator.inspectionResultSummary.measurementFound | string | Measurement found |
| keyIndicator.inspectionResultSummary.testResults | string | Task results |
| keyIndicator.inspectionResultSummary.workmanShipResult | string | Workman Ship result |
| keyIndicator.inspectionResultSummary.otherRemarks | string | Other remarks |
| keyIndicator.productReferenceWorkmanShipResult | array | List of product reference workman ship result of key indicator |
| keyIndicator.productReferenceWorkmanShipResult[].checkedCritical | string | Checked critical |
| keyIndicator.productReferenceWorkmanShipResult[].checkedMajor | string | Checked major |
| keyIndicator.productReferenceWorkmanShipResult[].checkedMinor | string | Checked minor |
| keyIndicator.productReferenceWorkmanShipResult[].foundCritical | string | Found critical |
| keyIndicator.productReferenceWorkmanShipResult[].foundMajor | string | Found major |
| keyIndicator.productReferenceWorkmanShipResult[].foundMinor | string | Found minor |
| keyIndicator.productReferenceWorkmanShipResult[].maxCritical | string | Max critical |
| keyIndicator.productReferenceWorkmanShipResult[].maxMajor | string | Max major |
| keyIndicator.productReferenceWorkmanShipResult[].maxMinor | string | Max minor |
| keyIndicator.productReferenceWorkmanShipResult[].prodReferenceName | string | Prod reference name |
| keyIndicator.productReferenceWorkmanShipResult[].prodReferenceResult | string | Prod reference result |
| keyIndicator.testAndSpecialRequirement | object | |
| keyIndicator.testAndSpecialRequirement.passedTests | integer | Passed tests |
| keyIndicator.testAndSpecialRequirement.failedTests | integer | Failed tests |
| keyIndicator.testAndSpecialRequirement.totalTests | integer | Total tests |
| keyIndicator.productMeasurementAQLResult | array | List of product measurement aql result |
| keyIndicator.productMeasurementAQLResult[].findingsCheckedMajorProdReference | string | Finding checked major prod reference |
| keyIndicator.productMeasurementAQLResult[].findingsFoundMajorProdReference | string | Finding found major prod reference |
| keyIndicator.productMeasurementAQLResult[].findingsMaxMajorProdReference | string | Finding max major prod reference |
| keyIndicator.productMeasurementAQLResult[].findingsMostSeriousDefectsFoundProdReference | string | Finding most serious defects found prod reference |
| keyIndicator.productMeasurementAQLResult[].nameProdReference | string | name prod prod reference |
| keyIndicator.productMeasurementAQLResult[].resultProdReference | string | result prod reference |
| inspectionDetails | object | |
| inspectionDetails.generalInfo | array | List of general info |
| inspectionDetails.serviceDescription | string | Service description |
| inspectionDetails.serviceType | string | Service type |
| productDetails | object | |
| productDetails.generalInfo | array | List of general info |
| productDetails.mainPicture | string | Main picture |
| productDetails.poNumber | string | Po number |
| productDetails.productName | string | Product name |
| productDetails.prodQuantityUnit | string | Prod quantity unit |
| specialIP | object | |
| specialIP.itemQuantitiesDisplay | boolean | Item quantity display |
| specialIP.itemOperaInciDisplay | boolean | Item opera Inci display |
| specialIP.items | array | List of items |
| specialIP.items[].item | string | Item |
| specialIP.items[].quantities | string | Quantites |
| specialIP.items[].operaInci | string | OperaInci |
| specialIP.items[].comments | string | Comments |
| specialIP.items[].container | string | Container |
| specialIP.items[].description | string | Description |
| specialIP.items[].totalCartons | string | Total cartons |
| specialIP.items[].totalNumberofPieces | string | Total number of pieces |
| specialIP.items[].labelling | string | Labelling |
| specialIP.items[].branding | string | Branding |
| specialIP.items[].htsCode | string | Hts code |
| specialIP.items[].brand | string | Brand |
| specialIP.items[].countryOfOrigin | string | Country of origin |
| specialIP.items[].lotSeries | string | Lot series |
| specialIP.items[].poNumber | string | PO number |
| specialIP.items[].upc | string | Upc |
| specialIP.items[].itemImagesUrl | object | List of image urls |
| specialIP.items[].nomsTable | object | |
| specialIP.items[].nomsTable.itemNumber | string | Item number |
| specialIP.items[].nomsTable.nom | string | Nom |
| specialIP.items[].nomsTable.requirement | string | Requirement |
| specialIP.items[].nomsTable.compliesWithNom | string | Complies with nom |
| specialIP.items[].nomsTable.htsCodes | string | Hts codes |
| specialIP.items[].nomsTable.productDetails | string | Product details |
| specialIP.items[].nomsTable.otherRegulations | string | Other regulations |
| specialIP.items[].nomsTable.generalRemarks | string | General remarks |
| specialIP.items[].nomsTable.sizeOrMeasurements | string | Size or measurements |
| specialIP.items[].nomsTable.gender | string | Gender |
| specialIP.containers | array | List of containers |
| specialIP.containers[].id | string | Id of container |
| specialIP.containers[].sealNumber | string | Seal number |
| specialIP.containers[].typeOfContainer | string | Type of container |
| specialIP.containers[].totalQtyOfCtns | string | Total quantity of Ctns |
| specialIP.containers[].containerConditions | string | Container conditions |
| specialIP.containers[].merchandiseDamaged | string | Merchandise damaged |
| specialIP.containers[].woodenPallets | string | Wooden pallets |
| specialIP.containers[].merchandiseNotDeclared | string | Merchandise not declared |
| specialIP.containers[].inDepth | string | In depth |
| specialIP.containers[].inDoors | string | In doors |
| specialIP.containers[].fumigationStamp | string | Fumigation stamp |
| specialIP.containers[].packagingAngTransportationMaterials | string | Packaging ang transportation materials |
| specialIP.containers[].containerImagesUrl | array | List of image urls |
| specialIP.containers[].supervisionReportImagesUrl | array | List of supervision report image urls |
| attachments | array | List of attachments |
| attachments[].fileName | string | File name of attachment |
| attachments[].fileSize | integer | File size of attachment |
| attachments[].fileUrl | string | File url of attachment |
| attachments[].createTime | string | Create time of attachment |
{
"message": "OK",
"content": {
"reportId": "3E4B7F366B524AD6840571E9AE28DA14",
"reportNumber": "R-Cloud-PP-24009476",
"orderId": "42C61D1AF5954E7F9D9434DCD10F97DB",
"orderNumber": null,
"overallResult": {
"isMissed": true,
"overallResult": "Fail"
},
"assessmentResults": [
{
"color": "#00A876",
"label": "Workmanship",
"result": "Pass",
"secondaryLabel": null,
"status": null
}
],
"showSummary": false,
"aiSummaryStatus": null,
"userId": null,
"disableSummaryReportButton": false,
"performedInQimaone": "0",
"interactiveReportVersion": "v1"
}
}GET
/user/{userId}/interactive-report/{productId}Request samples
application/json
{}
Response samples
application/json
{
"message": "OK",
"content": {
"reportId": "3E4B7F366B524AD6840571E9AE28DA14",
"reportNumber": "R-Cloud-PP-24009476",
"orderId": "42C61D1AF5954E7F9D9434DCD10F97DB",
"orderNumber": null,
"overallResult": {
"isMissed": true,
"overallResult": "Fail"
},
"assessmentResults": [
{
"color": "#00A876",
"label": "Workmanship",
"result": "Pass",
"secondaryLabel": null,
"status": null
}
],
"showSummary": false,
"aiSummaryStatus": null,
"userId": null,
"disableSummaryReportButton": false,
"performedInQimaone": "0",
"interactiveReportVersion": "v1"
}
}
